<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="wolfssl"
	ProjectGUID="{73973223-5EE8-41CA-8E88-1D60E89A237B}"
	RootNamespace="wolfssl"
	Keyword="Win32Proj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="./;./IDE/WIN"
				PreprocessorDefinitions="WOLFSSL_LIB;WOLFSSL_USER_SETTINGS;WINVER=0x0400;_WIN32_WINNT=0x0400"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="4"
				DebugInformationFormat="4"
				CompileAs="1"
				DisableSpecificWarnings="4206;4214;4706;4127;4244"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="0"
			WholeProgramOptimization="TRUE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="TRUE"
				AdditionalIncludeDirectories="./;./IDE/WIN"
				PreprocessorDefinitions="WOLFSSL_LIB;WOLFSSL_USER_SETTINGS;WINVER=0x0400;_WIN32_WINNT=0x0400"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
				CompileAs="1"
				DisableSpecificWarnings="4206;4214;4706;4127;4244"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="DLL Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="0"
			WholeProgramOptimization="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="./;./IDE/WIN"
				PreprocessorDefinitions="WOLFSSL_LIB;BUILDING_WOLFSSL;WOLFSSL_DLL;WOLFSSL_USER_SETTINGS;WINVER=0x0400;_WIN32_WINNT=0x0400"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="4"
				DebugInformationFormat="4"
				CompileAs="1"
				DisableSpecificWarnings="4206;4214;4706;4127;4244"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ws2_32.lib"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="DLL Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
            CharacterSet="0"
			WholeProgramOptimization="TRUE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
                EnableIntrinsicFunctions="TRUE"
				AdditionalIncludeDirectories="./;./IDE/WIN"
				PreprocessorDefinitions="WOLFSSL_LIB;BUILDING_WOLFSSL;WOLFSSL_DLL;WOLFSSL_USER_SETTINGS;WINVER=0x0400;_WIN32_WINNT=0x0400"
				RuntimeLibrary="2"
                EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="3"
				CompileAs="1"
				DisableSpecificWarnings="4206;4214;4706;4127;4244"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ws2_32.lib"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
			<File
				RelativePath=".\wolfcrypt\src\aes.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\arc4.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\asn.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\blake2b.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\blake2s.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\camellia.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\chacha.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\chacha20_poly1305.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\cmac.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\coding.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\cpuid.c">
			</File>
			<File
				RelativePath=".\src\crl.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\cryptocb.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\curve25519.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\curve448.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\des3.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\dh.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\dsa.c">
			</File>
			<File
				RelativePath=".\src\dtls.c">
			</File>
			<File
				RelativePath=".\src\dtls13.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ecc.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ed25519.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ed448.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\error.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\fe_448.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\fe_low_mem.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\fe_operations.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ge_448.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ge_low_mem.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ge_operations.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\hash.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\hmac.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\integer.c">
			</File>
			<File
				RelativePath=".\src\internal.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\kdf.c">
			</File>
			<File
				RelativePath=".\src\keys.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\logging.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\md2.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\md4.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\md5.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\memory.c">
			</File>
			<File
				RelativePath=".\src\ocsp.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\pkcs12.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\pkcs7.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\poly1305.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\pwdbased.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\random.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\rc2.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\ripemd.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\rsa.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\sha.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\sha256.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\sha3.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\sha512.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\signature.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\sp_c32.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\sp_int.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\srp.c">
			</File>
			<File
				RelativePath=".\src\ssl.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\tfm.c">
			</File>
			<File
				RelativePath=".\src\tls.c">
			</File>
			<File
				RelativePath=".\src\tls13.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\wc_encrypt.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\wc_pkcs11.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\wc_port.c">
			</File>
			<File
				RelativePath=".\src\win32shim.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\wolfevent.c">
			</File>
			<File
				RelativePath=".\src\wolfio.c">
			</File>
			<File
				RelativePath=".\wolfcrypt\src\wolfmath.c">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
			<File
				RelativePath="IDE\WIN\user_settings.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}">
			<File
				RelativePath=".\wolfssl.rc">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCResourceCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCResourceCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="DLL Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCResourceCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
